CREATE TABLE jv_system_options (
    APPLICATION_ID                    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    GL_TRANSACTION_DATE_FIELD         VARCHAR2(120) ,
    SLA_TRANSACTION_DATE_NAME         VARCHAR2(120) ,
    PROJECT_ID_NAME                   VARCHAR2(120) ,
    TASK_ID_NAME                      VARCHAR2(120) ,
    OVERRIDE_TASK_NUMBER              VARCHAR2(400) ,
    EXPENDITURE_TYPE_ID_NAME          VARCHAR2(120) ,
    OVERRIDE_EXPENDITURE_TYPE_ID      NUMBER(18, 0) ,
    OVERRIDE_BURDENING_EXP_TYPE_ID    NUMBER(18, 0) ,
    EXPENDITURE_ORG_ID_NAME           VARCHAR2(120) ,
    EXPENDITURE_ITEM_DATE_NAME        VARCHAR2(120) ,
    EXPENDITURE_BU_ID_NAME            VARCHAR2(120) ,
    PRIMARY_SEGMENT_LABEL_CODE        VARCHAR2(120)     NOT NULL,
    DEFAULT_GL_DATE_CODE              VARCHAR2(120)     NOT NULL,
    DEFAULT_SLA_DATE_CODE             VARCHAR2(120)     NOT NULL,
    PROJECT_ATTRIBUTE_CODE            VARCHAR2(120) ,
    EXCLUDE_NOT_DISTRIBUTABLE_FLAG    VARCHAR2(4)       NOT NULL,
    EMAIL_SUBJECT                     VARCHAR2(1000),
    EMAIL_BODY                        VARCHAR2(4000),
    CARRIED_INTEREST_ENABLED_FLAG     VARCHAR2(4)       NOT NULL,
    STAKEHOLDER_RPTG_ENABLED_FLAG     VARCHAR2(4)       NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    ATTRIBUTE_CHAR1                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    APPLICATION_ID                    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    GL_TRANSACTION_DATE_FIELD         VARCHAR2(120) ,
    SLA_TRANSACTION_DATE_NAME         VARCHAR2(120) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    ATTRIBUTE_CHAR1                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    PROJECT_ID_NAME                   VARCHAR2(120) ,
    TASK_ID_NAME                      VARCHAR2(120) ,
    EXPENDITURE_TYPE_ID_NAME          VARCHAR2(120) ,
    EXPENDITURE_ORG_ID_NAME           VARCHAR2(120) ,
    EXPENDITURE_ITEM_DATE_NAME        VARCHAR2(120) ,
    PRIMARY_SEGMENT_LABEL_CODE        VARCHAR2(120)     NOT NULL,
    OVERRIDE_TASK_NUMBER              VARCHAR2(400) ,
    OVERRIDE_EXPENDITURE_TYPE_ID      NUMBER(18, 0) ,
    DEFAULT_GL_DATE_CODE              VARCHAR2(120)     NOT NULL,
    DEFAULT_SLA_DATE_CODE             VARCHAR2(120)     NOT NULL,
    PROJECT_ATTRIBUTE_CODE            VARCHAR2(120) ,
    EXCLUDE_NOT_DISTRIBUTABLE_FLAG    VARCHAR2(4)       NOT NULL,
    EMAIL_SUBJECT                     VARCHAR2(1000),
    EMAIL_BODY                        VARCHAR2(4000),
    EXPENDITURE_BU_ID_NAME            VARCHAR2(120) ,
    ENABLE_PPM_FLAG                   VARCHAR2(4)   ,
    EXPENDITURE_ITEM_ID_NAME          VARCHAR2(120) ,
    EXPENDITURE_CATEGORY_ID_NAME      VARCHAR2(120) ,
    CARRIED_INTEREST_ENABLED_FLAG     VARCHAR2(4)       NOT NULL,
    STAKEHOLDER_RPTG_ENABLED_FLAG     VARCHAR2(4)       NOT NULL,
    OVERRIDE_BURDENING_EXP_TYPE_ID    NUMBER(18, 0) ,
    CONSTRAINT pk_jv_system_options PRIMARY KEY (APPLICATION_ID, APPLICATION_ID)
);
